View Issue Details

IDProjectCategoryView StatusLast Update
0006749Anastasisbackendpublic2021-04-11 17:48
ReporterChristian Grothoff Assigned ToChristian Grothoff  
PrioritynormalSeveritytextReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionGit master 
Target Version0.0.0Fixed in Version0.0.0 
Summary0006749: support i18n wherever applicable
DescriptionChallenge messages should use some templating logic that supports i18n instead of always being in English.
TagsNo tags attached.

Activities

Christian Grothoff

2021-03-29 15:19

manager   ~0017657

Last edited: 2021-03-29 15:21

View 2 revisions

First: add continents_i18n capability to start state (see specification).

Christian Grothoff

2021-03-31 17:11

manager   ~0017663

Second: for "error_message", mark with gettext_noop() and document that applications should dgettext() these messages when rendering.

Third: figure a way to do i18n for 'instructions' generated by authentication plugins.

Christian Grothoff

2021-04-05 19:31

manager   ~0017701

continents i18n is done.

Christian Grothoff

2021-04-05 19:50

manager   ~0017702

"second" point is done: error_messages are marked.

Christian Grothoff

2021-04-05 20:54

manager   ~0017703

5088a61..94f3cfc implements authorization plugin message internationalization using JSON resource files.

Issue History

Date Modified Username Field Change
2021-02-13 21:45 Christian Grothoff New Issue
2021-02-13 21:51 Christian Grothoff Target Version => 0.2.0
2021-03-15 22:41 Christian Grothoff Summary support i18n for challenge messages => support i18n wherever applicable
2021-03-19 20:22 Christian Grothoff Assigned To => Christian Grothoff
2021-03-19 20:22 Christian Grothoff Status new => assigned
2021-03-29 15:19 Christian Grothoff Note Added: 0017657
2021-03-29 15:21 Christian Grothoff Note Edited: 0017657 View Revisions
2021-03-31 17:11 Christian Grothoff Note Added: 0017663
2021-04-05 19:31 Christian Grothoff Note Added: 0017701
2021-04-05 19:50 Christian Grothoff Note Added: 0017702
2021-04-05 20:54 Christian Grothoff Note Added: 0017703
2021-04-05 20:54 Christian Grothoff Status assigned => resolved
2021-04-05 20:54 Christian Grothoff Resolution open => fixed
2021-04-05 20:54 Christian Grothoff Fixed in Version => 0.0.0
2021-04-05 20:54 Christian Grothoff Target Version 0.2.0 => 0.0.0
2021-04-11 17:48 Christian Grothoff Status resolved => closed